[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomDrawState

TCustomDrawState - set of TCustomDrawStateFlag

## Declaration

Source position: comctrls.pp line 644

`type TCustomDrawState = set of (`
`cdsSelected,` |  |
`cdsGrayed,` |  |
`cdsDisabled,` |  |
`cdsChecked,` |  |
`cdsFocused,` |  |
`cdsDefault,` |  |
`cdsHot,` |  |
`cdsMarked,` |  |
`cdsIndeterminate` |  |
`);`

## Description

TCustomDrawState determines how a item will be drawn.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .